> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rootly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List active incidents for a status page

> Returns a paginated list of active incidents for the status page identified by the custom domain.



## OpenAPI

````yaml https://rootly-heroku.s3.amazonaws.com/swagger/status_page/v1/swagger.json get /api/v1/incidents.json
openapi: 3.0.1
info:
  title: Rootly Status Page API v1
  version: v1
  license:
    name: Rootly
    url: https://status.rootly.com
  description: >
    # Status Page Public API


    This API is served from your status page's custom domain (e.g.,
    `https://status.yourcompany.com`).


    ## Authentication

    These endpoints are public and do not require authentication, unless the
    status page is password-protected.


    ## Base URL

    The base URL is your status page's custom domain:

    ```
      https://status.yourcompany.com/api/v1/status.json
    ```
servers:
  - url: https://{custom_domain}
    variables:
      custom_domain:
        default: status.example.com
        description: Your status page custom domain
security: []
paths:
  /api/v1/incidents.json:
    get:
      tags:
        - StatusPages
      summary: List active incidents for a status page
      description: >-
        Returns a paginated list of active incidents for the status page
        identified by the custom domain.
      operationId: listStatusPageIncidents
      parameters:
        - name: page
          in: query
          required: false
          description: Page number
          schema:
            type: integer
        - name: per_page
          in: query
          required: false
          description: Number of incidents per page (max 100)
          schema:
            type: integer
      responses:
        '200':
          description: incidents found
          content:
            application/json:
              schema:
                type: object
                properties:
                  page:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      name:
                        type: string
                      url:
                        type: string
                      time_zone:
                        type: string
                      updated_at:
                        type: string
                        format: date-time
                  incidents:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        name:
                          type: string
                        status:
                          type: string
                          enum:
                            - investigating
                            - identified
                            - monitoring
                            - resolved
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        monitoring_at:
                          type: string
                          format: date-time
                          nullable: true
                        resolved_at:
                          type: string
                          format: date-time
                          nullable: true
                        impact:
                          type: string
                          enum:
                            - none
                            - minor
                            - major
                            - critical
                            - maintenance
                        shortlink:
                          type: string
                        started_at:
                          type: string
                          format: date-time
                        page_id:
                          type: string
                          format: uuid
                        incident_updates:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                              status:
                                type: string
                              body:
                                type: string
                                nullable: true
                              created_at:
                                type: string
                                format: date-time
                              updated_at:
                                type: string
                                format: date-time
                              display_at:
                                type: string
                                format: date-time
                              custom_tweet:
                                type: string
                                nullable: true
                              deliver_notifications:
                                type: boolean
                              tweet_id:
                                type: string
                                nullable: true
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                      per_page:
                        type: integer
                      total_count:
                        type: integer
                      total_pages:
                        type: integer
                      next_page:
                        type: integer
                        nullable: true
                      prev_page:
                        type: integer
                        nullable: true
        '404':
          description: status page not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
      security: []

````